View Issue Details

IDProjectCategoryView StatusLast Update
0004891Talermechant backendpublic2017-06-06 14:18
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004891: merchant backend "/pay" should look up contract by order_id
DescriptionCurrently /pay takes a bunch of information from the contract. As a simplification, the backend should do the lookup automatically. The frontend should just supply coins from the customer and the order_id.

Of course the behavior of more optimized implementations (that do contract restoration) may deviate from the reference implementation of "/pay".
TagsNo tags attached.

Activities

Florian Dold

2017-02-11 18:33

manager   ~0011713

Last edited: 2017-02-11 18:34

View 2 revisions

Additionally, backend "/pay" should return the proposal data of the proposal that was paid for, so the frontend can use that information for further order processing! This avoids another roundtrip and database lookup in the common case.

Florian Dold

2017-02-12 02:56

manager   ~0011715

Fixed in 053798e

Issue History

Date Modified Username Field Change
2017-02-11 18:29 Florian Dold New Issue
2017-02-11 18:29 Florian Dold Status new => assigned
2017-02-11 18:29 Florian Dold Assigned To => Florian Dold
2017-02-11 18:33 Florian Dold Note Added: 0011713
2017-02-11 18:34 Florian Dold Note Edited: 0011713 View Revisions
2017-02-12 02:56 Florian Dold Status assigned => resolved
2017-02-12 02:56 Florian Dold Resolution open => fixed
2017-02-12 02:56 Florian Dold Note Added: 0011715
2017-04-02 00:48 Christian Grothoff Product Version => SVN HEAD
2017-04-02 00:48 Christian Grothoff Fixed in Version => 0.3
2017-04-02 00:48 Christian Grothoff Target Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed